Do NOT use i-Page for hosting

I’m seeing ads everywhere for iPage hosting and it is driving me absolutely crazy. I am running a shopping cart system by Woo Commerce and the client wants to /needs to use Fed Ex. I spent $49 on the plug-in to make Fed Ex an option, and it wouldn’t activate, but gave the error “Sorry, but you cannot run this plugin, it requires the SOAP support on your server/hosting to function.” Their response was “The Class ‘SoapClient’ belongs to the default soap module which is not installed in our server. In our server SOAP is installed as a PEAR module. You need to include following Client class file in PHP script. Please add the code mentioned below at the top of index.php file for that theme or the plugin.
require_once(‘SOAP/Client.php’); “.

Not only is this require statement on the plug-in’s page, it is on the theme’s index page.

When I mentioned this, their response was, “It seems like plugin required php SOAP. Please note that Class ‘SoapClient’ belongs to the default soap module which is not installed in our server. We have SOAP is installed as a PEAR module. I suggest you to contact plugin vendor regarding the issue. ”

I contacted the plug-in developer at Woo. After some research, they mention this: “It took us a while to find the solution. PEAR’s SOAP implementation is deprecated and they recommend on their own page to use PHPs implementation.
http://cld.wthms.co/hOit
http://pear.php.net/package/SOAP/

We sadly can’t support deprecated software.

I would either talk to your host to see if they can switch to PHPs version of SOAP or find a new host. Sadly, with their implementation other plugins (not only ours) that require SOAP might break.”

They say they cannot change the installation. “My apologies for the inconvenience you have experienced regarding the issue with the plugin’s. Unfortunately, we cannot change the php’s version of SOAP. We support only the PEAR’s SOAP. ” Therefore I have to find a host that has the correct installation, and it likely will not be difficult. I say this to iPage: I will do my best to steer everyone away from you.

By | 2013-07-09T05:17:40+00:00 July 9th, 2013|shopping cart, wordpress, hosting|

7 Comments

  1. sabrina November 27, 2014 at 9:33 pm - Reply

    What did you do then? I just ran into this issue.

    • rochelle November 29, 2014 at 8:17 am - Reply

      I have to move their site to another web host.

  2. CJ November 15, 2015 at 5:23 am - Reply

    I’m going through the same thing right now. I just spent $36 on the WooZone plugin to realize that it is useless with Ipage as my web host. It sucks, I went with Ipage because they were so inexpensive and now I know why, because they don’t offer the most basic crap that any other web host does. Ya live and learn I guess.

  3. Bhaumik August 8, 2016 at 8:57 pm - Reply

    Same issue ..! Same answer from Ipage! This is biggest mistake of my life to move from godaddy to ipage just coz they are cheap…

  4. FV February 8, 2017 at 12:36 pm - Reply

    Someone has the solution????

  5. Bert friedman March 20, 2017 at 2:37 pm - Reply

    iPage sitll has this issue as Im dealing with it TODAY. Im about to leave iPage over this issue as they seem to not give a shit at all. It costs them nothing and I am the customer using the services they provide. SOAP costs them nothing to implement. It is built into PHP.

  6. Saiful April 23, 2017 at 2:38 pm - Reply

    I’m also having same issue here. Before buy this service from iPage it was not noticed.

Leave A Comment